%define name    kuake
%define version 0.2.1
%define release 1mdk
%define Summary Quake style Konsole

%define section System/Terminals
%define title Kuake

# Work around for different libtool use in kde 
%define __libtoolize true

Summary:        %Summary
Name:           %name
Version:        %version
Release:        %release

License: GPL
Group: Graphical desktop/KDE
Source: kuake-%{version}.tar.bz2
# Add to all virtual desktops
Patch0: all-desktops.patch.bz2
Url: http://www.nemohackers.org/kuake.php
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	kdelibs-devel
# need konsolepart
Requires: kdebase-common

%description
Kuake is a KDE konsole application with the look and feel of that in the
Quake engine. It intends to create seemless integration of a konsole to your
KDE desktop.

%prep
%setup -q
%patch

%build
%configure --disable-rpath
%make

%install
rm -rf %buildroot
%makeinstall

# Menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} << EOF
?package(%{name}): \
command="%{_bindir}/%{name}" \
needs="X11" \
icon="%{name}.png" \
section="%{section}" \
title="%{title}" \
longtitle="%{Summary}"
EOF

#mdk icons
install -D -m 644 %{buildroot}%{_iconsdir}/locolor/32x32/apps/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/locolor/32x32/apps/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
install -D -m 644 %{buildroot}%{_iconsdir}/locolor/16x16/apps/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf %buildroot

%post
%update_menus

%postun
%clean_menus

%files -f %{name}.lang
%defattr(0755,root,root,0755)
%{_bindir}/%{name}
%defattr(0644,root,root,0755)
%{_menudir}/%{name}
%{_datadir}/applnk/Utilities/kuake.desktop
%{_datadir}/apps/kuake/kuakeui.rc
%{_datadir}/icons/*/*/apps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%doc %_docdir/HTML/*/%{name}/*

%changelog
* Thu Feb 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.2.1-1mdk
- from Nick Brown <nickbroon@blueyonder.co.uk> :
	- First Mandrake package release
